﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media;

namespace WpfApplication1
{
    public class FGConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            DataRecord rec = value as DataRecord;
            if (rec != null && rec.DataItemIndex >= 0)
            {
                Cell cell = rec.Cells["Salary"];
                string salaryStr = cell.Value.ToString();
                int salaryInt = System.Convert.ToInt32(salaryStr);
                if (salaryInt > 50000)
                {
                    return new SolidColorBrush(Colors.Red);
                }
                else
                {
                    return new SolidColorBrush(Colors.Blue);
                }
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
